Bug 137436 - CAN-2002-1827 file locking local DoS in sendmail
CAN-2002-1827 file locking local DoS in sendmail
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: sendmail (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Thomas Woerner
David Lawrence
: Security
Depends On:
  Show dependency treegraph
Reported: 2004-10-28 10:31 EDT by Josh Bressers
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-05-11 06:36:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2004-10-28 10:31:12 EDT
File locking is used throughout sendmail for a variety of files
including aliases, maps, statistics, and the pid file.  Any user who
can open one of these files can prevent sendmail or it's associated
utilities, e.g., makemap or newaliases, from operating properly.  This
can also affect sendmail's ability to update status files such as
statistics files.  For system which use flock() for file locking, a
user's ability to obtain an exclusive lock prevents other sendmail
processes from reading certain files such as alias or map databases.

The easy solution to this problem is to alter the permissions on
various sendmail files to prevent arbitrary users from getting
exclusive locks.

This URL has more information.
Comment 1 Josh Bressers 2005-01-13 13:28:19 EST

Have you looked at this issue at all?  While this is a low priority
issue, it would be nice to get this fixed.
Comment 2 Thomas Woerner 2005-05-11 06:36:24 EDT
This is not worth fixing.
Closing as WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.